WordPress Ultimate Member 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1894441 漏洞类型 其他
发布时间 2020-01-13 更新时间 2020-01-14
CVE编号 CVE-2020-6859 CNNVD-ID CNNVD-202001-418
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202001-418
|漏洞详情
WordPress是WordPress基金会的一套使用PHP语言开发的博客平台。该平台支持在PHP和MySQL的服务器上架设个人博客网站。Ultimate Member plugin是使用在其中的一款用于创建会员网站或在线社区的插件。 WordPress Ultimate Member 2.1.2及之前版本中的includes/core/class-files.php文件存在安全漏洞。远程攻击者可借助‘user_id’参数利用该漏洞修改其他用户的个人资料并覆盖相片。
|参考资料

来源:github.com

链接:https://github.com/ultimatemember/ultimatemember/blob/627bbb0fae81ac34c60b43f0867eadcf8e1bc523/includes/core/class-files.php#L269


来源:github.com

链接:https://github.com/ultimatemember/ultimatemember/blob/627bbb0fae81ac34c60b43f0867eadcf8e1bc523/includes/core/class-files.php#L310


来源:github.com

链接:https://github.com/ultimatemember/ultimatemember/commit/249682559012734a4f7d71f52609b2f301ea55b1


来源:wordpress.org

链接:https://wordpress.org/plugins/ultimate-member/#developers


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-6859